Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Sat, 4 Mar 2023 02:22:52 +0200

On 04/03/2023 02:01, Po Lu wrote:
>> But there is a persistent glitch: when the window configuration
>> changes, 1 or 2 vertical bars often flash:
>>
>> https://a.uguu.se/iYTlOftH.mp4  (with emacs -Q)
>>
>> https://a.uguu.se/YdDWpMid.mp4  (with my config but with tool-bar and
>> scroll-bar modes enabled)
>>
>> scroll-bar-mode on seems to be required to reproduce this.
> This is expected: moving the scroll bar causes exposures, which can
> cause flickering.  That's the problem double buffering is supposed to
> fix.

Isn't it odd, though, that in both cases the glitch is positioned around 
1/2 of the scroll-bar's horizontal coordinate (relative to the left edge 
of the frame)? When there is one scroll-bar, there is one glitch; when 
there are two scroll-bars, there are two glitches.

My guess is that might be related to the display scale (2x).